AgentConnect
Bots

Refresh a Slack app

Sync AgentConnect's required configuration into an existing Slack app without deleting user-owned manifest fields, then check the workspace installation's granted bot scopes. Returns Slack settings links when manual permission updates or workspace reinstallation are required.

POST
/v1/orgs/{orgId}/bots/{id}/slack/refresh

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/bots/string/slack/refresh"
{  "manifest": "synced",  "manifestMissingScopes": [    "string"  ],  "authorization": "current",  "rejection": "string",  "missingScopes": [    "string"  ],  "settingsUrl": "string",  "manifestUrl": "string",  "permissionsUrl": "string",  "reinstallUrl": "string"}